### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XUartNs550Stats Struct Reference

## Detailed Description

UART statistics

## Data Fields

u16 | TransmitInterrupts
u16 | ReceiveInterrupts
u16 | StatusInterrupts
u16 | ModemInterrupts
u16 | CharactersTransmitted
u16 | CharactersReceived
u16 | ReceiveOverrunErrors
u16 | ReceiveParityErrors
u16 | ReceiveFramingErrors
u16 | ReceiveBreakDetected

## Field Documentation

u16 XUartNs550Stats::CharactersReceived

| Number of characters received

u16 XUartNs550Stats::CharactersTransmitted

| Number of characters transmitted

u16 XUartNs550Stats::ModemInterrupts

| Number of modem interrupts

u16 XUartNs550Stats::ReceiveBreakDetected

| Number of receive breaks

u16 XUartNs550Stats::ReceiveFramingErrors

| Number of receive framing errors

u16 XUartNs550Stats::ReceiveInterrupts

| Number of receive interrupts

u16 XUartNs550Stats::ReceiveOverrunErrors

| Number of receive overruns

u16 XUartNs550Stats::ReceiveParityErrors

| Number of receive parity errors

u16 XUartNs550Stats::StatusInterrupts

| Number of status interrupts

u16 XUartNs550Stats::TransmitInterrupts

| Number of transmit interrupts

The documentation for this struct was generated from the following file:

- xuartns550.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.